/***************************************************************************
 *   Copyright (C) 2006 by Parthasarathy   *
 *   sarathy@Zion   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* 
	Loads the data from the external file with filename to the 
	memory pointed by data.
*/
extern void load_data (char *filename, long n, char delimiter, long **data);

/* 
	Creates the data using rand() and saves it to the external file 
	with filename. 
	n	   - is the total number of entries to be created.
	delimiter  - is the delim to be used in the file.
	compressor - the amount by which the data size must be reduced [ uses >> ]
*/
extern void create_data (char *filename, long n, char delimiter, int compressor);
