/***************************************************************************
 *   Copyright (C) 2006 by Parthasarathy   *
 *   sarathy@Zion   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

# include <stdio.h>

/*
 	Function to test if the data has been sorted properly.
*/
void verify(long *data, long n, int order)
{
	long cnt_data=1;

	if (order ^ 1)
	{
		while (cnt_data < n)
		{
			if (*data<=*(data+1))
			{
				data++;
				cnt_data++;
			}
			else
			{
				printf (" |X|\n");
				exit(-1);
			}
		}
	}

	if (order ^ 0)
	{
		while (cnt_data < n)
		{
			if (*data>=*(data+1))
			{
				data++;
				cnt_data++;
			}
			else
			{
				printf (" |X|\n");
				exit(-1);
			}
		}
	}
	printf (" |/|");
}


